From 26fd97a8aa754876ee2190a1afc51ba170753e16 Mon Sep 17 00:00:00 2001
From: Devyani Kota <divs.passion.18@gmail.com>
Date: Oct 29 2015 12:04:53 +0000
Subject: [PATCH 227/1001] Edited the parse_nvr() function for a dict with more than one value


---

diff --git a/hubs/widgets/workflow/updates2stable.py b/hubs/widgets/workflow/updates2stable.py
index 836b6ce..1a27be6 100644
--- a/hubs/widgets/workflow/updates2stable.py
+++ b/hubs/widgets/workflow/updates2stable.py
@@ -66,7 +66,8 @@ def data(session, widget, username):
     # Stuff some useful information in there.
     baseurl = 'https://apps.fedoraproject.org/packages/images/icons/'
     for update in data['updates']:
-        nvr = update['builds'][0]
+        build = update['builds'][0]
+        nvr = build['nvr']
         package = parse_nvr(nvr)
         update['icon'] = baseurl + package[0] + '.png'
         update['link'] = bodhiurl + update['title']
@@ -76,7 +77,7 @@ def data(session, widget, username):
 
 def parse_nvr(nvr):
     # Return the [ name, version, release ] of a given name-ver-rel.
-    x = nvr.items()[0][1].split('-')
+    x = nvr.split('-')
     return ['-'.join(x[:-2]), x[-2], x[-1]]
 
 

